/// <summary>
/// 这里要注意下，命名空间和程序集是一样的，不然反射不到
/// </summary>
namespace Tiobon.Core.Tasks;

public class Job_InterviewOrderOverTime_Quartz : JobBase, IJob
{
    private readonly IGhrh_ResumeServices _ghrh_ResumeServices;

    public Job_InterviewOrderOverTime_Quartz(IGhrh_ResumeServices ghrh_ResumeServices, ITasksQzServices tasksQzServices, ITasksLogServices tasksLogServices)
        : base(tasksQzServices, tasksLogServices)
    {
        _ghrh_ResumeServices = ghrh_ResumeServices;
    }
    public async Task Execute(IJobExecutionContext context)
    {
        var executeLog = await ExecuteJob(context, async () => await Run(context));
    }
    public async Task Run(IJobExecutionContext context)
    {
        Console.WriteLine($"Job_InterviewOrderOverTime_Quartz 执行 {DateTime.Now.ToShortTimeString()}");
        await _ghrh_ResumeServices.InterviewOrderOverTime();
    }
}
